Name:           python-f2r
Version:        2.11.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Produces RPMs for FLP packages out of aliBuild ouput

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.cern.ch/AliceO2Group/flp-to-rpm
Source:         %{pypi_source f2r}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'f2r' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-f2r
Summary:        %{summary}

%description -n python3-f2r %_description


%prep
%autosetup -p1 -n f2r-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-f2r -f %{pyproject_files}


%changelog
%autochangelog